TagLib::MP4::Item Class Reference

MP4 item. More...

`#include <mp4item.h>`

## Classes

struct | IntPair

## Public Types

enum class | Type : unsigned char { Void , Bool , Int , IntPair , Byte , UInt , LongLong , StringList , ByteVectorList , CoverArtList , Stem }

## Public Member Functions

| Item ()
| Item (const Item &item)
Item & | operator= (const Item &item)
void | swap (Item &item) noexcept
| ~Item ()
| Item (int value)
| Item (unsigned char value)
| Item (unsigned int value)
| Item (long long value)
| Item (bool value)
| Item (int value1, int value2)
| Item (const StringList &value)
| Item (const ByteVectorList &value)
| Item (const CoverArtList &value)
| Item (const Stem &value)
void | setAtomDataType (AtomDataType type)
AtomDataType | atomDataType () const
int | toInt () const
unsigned char | toByte () const
unsigned int | toUInt () const
long long | toLongLong () const
bool | toBool () const
IntPair | toIntPair () const
StringList | toStringList () const
ByteVectorList | toByteVectorList () const
CoverArtList | toCoverArtList () const
Stem | toStem () const
bool | isValid () const
Type | type () const
bool | operator== (const Item &other) const
bool | operator!= (const Item &other) const

## Detailed Description

MP4 item.

## Member Enumeration Documentation

## Type

enum class TagLib::MP4::Item::Type : unsigned char

strong

The data type stored in the item.

Enumerator
Void |
Bool |
Int |
IntPair |
Byte |
UInt |
LongLong |
StringList |
ByteVectorList |
CoverArtList |
Stem |

## Constructor & Destructor Documentation

## Item() [1/12]

TagLib::MP4::Item::Item | ( |  | ) |

Referenced by Item(), operator!=(), operator=(), operator==(), and swap().

## Item() [2/12]

TagLib::MP4::Item::Item | ( | const Item & | item | ) |

References Item().

## ~Item()

TagLib::MP4::Item::~Item | ( |  | ) |

## Item() [3/12]

TagLib::MP4::Item::Item | ( | int | value | ) |

## Item() [4/12]

TagLib::MP4::Item::Item | ( | unsigned char | value | ) |

## Item() [5/12]

TagLib::MP4::Item::Item | ( | unsigned int | value | ) |

## Item() [6/12]

TagLib::MP4::Item::Item | ( | long long | value | ) |

## Item() [7/12]

TagLib::MP4::Item::Item | ( | bool | value | ) |

## Item() [8/12]

TagLib::MP4::Item::Item | ( | int | value1,
|  | int | value2 )

## Item() [9/12]

TagLib::MP4::Item::Item | ( | const StringList & | value | ) |

## Item() [10/12]

TagLib::MP4::Item::Item | ( | const ByteVectorList & | value | ) |

## Item() [11/12]

TagLib::MP4::Item::Item | ( | const CoverArtList & | value | ) |

## Item() [12/12]

TagLib::MP4::Item::Item | ( | const Stem & | value | ) |

## Member Function Documentation

## atomDataType()

AtomDataType TagLib::MP4::Item::atomDataType | ( |  | ) | const

## isValid()

bool TagLib::MP4::Item::isValid | ( |  | ) | const

## operator!=()

bool TagLib::MP4::Item::operator!= | ( | const Item & | other | ) | const

Returns `true` if the Item and other differ in type or value.

References Item(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

Item & TagLib::MP4::Item::operator= | ( | const Item & | item | ) |

Copies the contents of item into this Item.

References Item().

## operator==()

bool TagLib::MP4::Item::operator== | ( | const Item & | other | ) | const

Returns `true` if the Item and other are of the same type and contain the same value.

References Item().

## setAtomDataType()

void TagLib::MP4::Item::setAtomDataType | ( | AtomDataType | type | ) |

References type().

## swap()

void TagLib::MP4::Item::swap | ( | Item & | item | ) |

noexcept

Exchanges the content of the Item with the content of item.

References Item().

## toBool()

bool TagLib::MP4::Item::toBool | ( |  | ) | const

## toByte()

unsigned char TagLib::MP4::Item::toByte | ( |  | ) | const

## toByteVectorList()

ByteVectorList TagLib::MP4::Item::toByteVectorList | ( |  | ) | const

## toCoverArtList()

CoverArtList TagLib::MP4::Item::toCoverArtList | ( |  | ) | const

## toInt()

int TagLib::MP4::Item::toInt | ( |  | ) | const

## toIntPair()

IntPair TagLib::MP4::Item::toIntPair | ( |  | ) | const

## toLongLong()

long long TagLib::MP4::Item::toLongLong | ( |  | ) | const

## toStem()

Stem TagLib::MP4::Item::toStem | ( |  | ) | const

## toStringList()

StringList TagLib::MP4::Item::toStringList | ( |  | ) | const

## toUInt()

unsigned int TagLib::MP4::Item::toUInt | ( |  | ) | const

## type()

Type TagLib::MP4::Item::type | ( |  | ) | const

Referenced by setAtomDataType().

The documentation for this class was generated from the following file:

- mp4item.h